<!DOCTYPE html>
<html>

<body>

    <p>Click the button to display the array values after the split.</p>

    <button onclick="myFunction()">Try it</button>

    <p id="demo"></p>

    <script>
        function myFunction() {
            var str = "TRucha d      s";
            var res = '';
            var lengthVar = 5;
            if (str.length <= lengthVar - 3) {
                let dots = '   '//'   ' = '...'
                if (str.length < lengthVar - 3) {
                    dots = dots.substring(0, lengthVar - str.length) + '   ';//'   ' = '...'
                }
                str = str + dots
                console.log(str);
                str += new Array(lengthVar + 1).join(' ');//' ' = '.'
                console.log(str);

                res = str.substring(0, lengthVar);

            } else if (str.length > lengthVar - 3) {

                if (str.length == length) {
                    str = str.substring(0, lengthVar);
                } else if (str.length == lengthVar - 1) {
                    str = str.substring(0, lengthVar);
                    str = str + ' '//' ' = '.'
                } else if (str.length == lengthVar - 2) {
                    str = str.substring(0, lengthVar);
                    str = str + '  '//'  ' = '..'
                } else if (str.length == lengthVar - 3) {
                    str = str.substring(0, lengthVar);
                    str = str + '   '//'   ' = '...'
                } else {
                    str = str.substring(0, lengthVar - 3);
                    str = str + '...'
                }

                res = str;

            }


            console.log(res + ' ' + res.length)
            document.getElementById("demo").innerHTML = res;
        }
    </script>

</body>

</html>